Name:           repsnapper
Version:        1.1.0git
Release:        1%{?dist}
Summary:        Software for controlling the RepRap 3D printer
Group:          Applications/Engineering
License:        GPLv2 and MIT and GPLv2+ and BSD and Boost and LGPLv2+ with exceptions and LGPLv2
URL:            http://reprap.org/wiki/RepSnapper_Manual:Introduction
# https://github.com/timschmidt/repsnapper.git
# branch: remotes/origin/repsnapper-1.1.x
Source0:        %{name}-%{version}.tar.bz2
Source1:        repsnapper-48.png
Source2:        repsnapper-128.png
Source3:        repsnapper.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       desktop-file-utils
BuildRequires:  desktop-file-utils
BuildRequires:  fltk-fluid gtk2-devel fltk-devel freeglut-devel
BuildRequires:  boost-devel boost-thread boost-system libconfig-devel

%description
RepSnapper is an alternative host software for controlling the RepRap open
source 3D printer.

%prep
%setup -q

%build
cd src
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
# No make install
%{__mkdir} -p %{buildroot}/%{_bindir}
%{__cp} src/repsnapper %{buildroot}/%{_bindir}/

# .desktop file
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE3}

# icons
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps
install -p -m 644 %{SOURCE1} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -p -m 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc licensing.txt readme.txt todo.txt doc/credits.txt doc/manual.asciidoc
%{_bindir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

%changelog
* Mon Feb 21 2011 Jeff Moe <moe@alephobjects.com> - 1.1.0git-1
- Update URL
- Update Licenses
- Add .desktop file
- Add icons

* Mon Feb 21 2011 Jeff Moe <moe@alephobjects.com> - 1.1.0git-0
- Initial spec

